/* 
  SCLGlobals.h

  Barry McMullin <mcmullin@eeng.dcu.ie>
  08-OCT-1996

*/


#import "SCLRandomBit.h"
#import "NeighborhoodProtocol.h"
#import "AgentManager.h"
#import "ParticleManager.h"
#import "SCLModelSwarm.h"
#import "UserCellEditor.h"
#import "ParameterManager.h"
#import "WorldManager.h"

extern id <NeighborhoodProtocol> defaultNeighbor;
extern id <NeighborhoodProtocol> vnNeighbor;
extern id <NeighborhoodProtocol> mooreNeighbor;

extern SCLModelSwarm *modelSwarm;

extern ParticleManager *holeMgr;
extern ParticleManager *substrateMgr;
extern ParticleManager *linkMgr;
extern ParticleManager *catalystMgr;

extern AgentManager *bondMgr;

extern SCLRandomBit *sclRandomBit;

extern BOOL useMooreNeighbor;
extern unsigned modelTime;

extern XColormap * colormap;
extern ZoomRaster * worldRaster;

extern Object2dDisplay * worldDisplay;

extern UserCellEditor * userCellEditor;
extern WorldManager * worldManager;
extern ParameterManager * parameterManager;

extern DiscreteToroid * world;
